> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete project template reference files (batch)

> Required role: Administrator or Project Manager. All reference files must belong to the same organization as the current user. The underlying file in storage is deleted if no other reference points to it.



## OpenAPI

````yaml /openapi/phrase-tms-latest.json delete /api2/v1/projectTemplates/{projectTemplateUid}/references
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/projectTemplates/{projectTemplateUid}/references:
    delete:
      tags:
        - Reference File
      summary: Delete project template reference files (batch)
      description: >-
        Required role: Administrator or Project Manager. All reference files
        must belong to the same organization as the current user. The underlying
        file in storage is deleted if no other reference points to it.
      operationId: batchDeleteProjectTemplateReferenceFiles
      parameters:
        - name: projectTemplateUid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/ProjectTemplateReferenceFilesRequestDtoProjectTemplateV1
      responses:
        '204':
          description: No Content
        '400':
          description: BAD_REQUEST
        '401':
          description: Not authorized
        '403':
          description: AuthAccessDenied
        '404':
          description: ResourceNotFound
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  requestBodies:
    ProjectTemplateReferenceFilesRequestDtoProjectTemplateV1:
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/ProjectTemplateReferenceFilesRequestDtoProjectTemplateV1
  schemas:
    ProjectTemplateReferenceFilesRequestDtoProjectTemplateV1:
      type: object
      required:
        - referenceFiles
      properties:
        referenceFiles:
          type: array
          description: List of reference file UIDs to act on. Must not be empty.
          items:
            $ref: '#/components/schemas/UidReference'
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````